spe_context Struct Reference

`#include <libspe2-types.h>`

Collaboration diagram for spe_context:

## Data Fields

spe_program_handle_t | handle
struct spe_context_base_priv * | base_private
struct spe_context_event_priv * | event_private

## Detailed Description

SPE context The SPE context is one of the base data structures for the libspe2 implementation. It holds all persistent information about a "logical SPE" used by the application. This data structure should not be accessed directly, but the application uses a pointer to an SPE context as an identifier for the "logical SPE" it is dealing with through libspe2 API calls.

Definition at line 64 of file libspe2-types.h.

## Field Documentation

struct spe_context_base_priv* base_private

Definition at line 76 of file libspe2-types.h.

Referenced by __base_spe_spe_dir_get(), __base_spe_stop_event_source_get(), __base_spe_stop_event_target_get(), _base_spe_close_if_open(), _base_spe_context_create(), _base_spe_context_lock(), _base_spe_context_run(), _base_spe_context_unlock(), _base_spe_handle_library_callback(), _base_spe_in_mbox_status(), _base_spe_in_mbox_write(), _base_spe_ls_area_get(), _base_spe_mfcio_tag_status_read(), _base_spe_mssync_start(), _base_spe_mssync_status(), _base_spe_open_if_closed(), _base_spe_out_intr_mbox_status(), _base_spe_out_mbox_read(), _base_spe_out_mbox_status(), _base_spe_program_load(), _base_spe_program_load_complete(), _base_spe_ps_area_get(), _base_spe_signal_write(), and _event_spe_event_handler_register().

struct spe_context_event_priv* event_private

Definition at line 77 of file libspe2-types.h.

spe_program_handle_t handle

Definition at line 72 of file libspe2-types.h.

The documentation for this struct was generated from the following file:

- libspe2-types.h